Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs
Class FileSystemConfigBuilder

    java.lang.Object
      org.apache.commons.vfs.FileSystemConfigBuilder

Direct Known Subclasses:
  DefaultFileSystemConfigBuilder, FtpFileSystemConfigBuilder, HttpFileSystemConfigBuilder, RamFileSystemConfigBuilder, ResourceFileSystemConfigBuilder, SftpFileSystemConfigBuilder

public abstract class FileSystemConfigBuilder
extends Object

Abstract class which has the right to fill FileSystemOptions

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Mario Ivankovits

Constructor Summary
`FileSystemConfigBuilder()`

Method Summary
`protected abstract Class` | `getConfigClass()`
`protected Object` | `getParam(FileSystemOptions opts, String name)`
`protected boolean` | `hasParam(FileSystemOptions opts, String name)`
`protected void` | `setParam(FileSystemOptions opts, String name, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemConfigBuilder

    public FileSystemConfigBuilder()

Method Detail

### setParam

    protected void setParam(FileSystemOptions opts,
                            String name,
                            Object value)

### getParam

    protected Object getParam(FileSystemOptions opts,
                              String name)

### hasParam

    protected boolean hasParam(FileSystemOptions opts,
                               String name)

### getConfigClass

    protected abstract Class getConfigClass()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.